Subject: [dhcwg] [Editorial Errata Reported] RFC4361 (3954)

From: RFC Errata System <[email-masked]>
Date: Wed, 9 Apr 2014 12:33:12 -0700 (PDT)

The following errata report has been submitted for RFC4361,
"Node-specific Client Identifiers for Dynamic Host Configuration Protocol Version Four (DHCPv4)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=4361&eid=3954

--------------------------------------
Type: Editorial
Reported by: Samir Sawhney <[email-masked]>

Section: 7

Original Text
-------------
"Some DHCP servers work around this problem for the common case where
the boot Programmable Read Only Memory (PROM) presents no client
identifier, and the operating system DHCP client presents a client
identifier constructed from the Message Authentication Code (MAC)
address of the network interface..."

Corrected Text
--------------
"Some DHCP servers work around this problem for the common case where
the boot Programmable Read Only Memory (PROM) presents no client
identifier, and the operating system DHCP client presents a client
identifier constructed from the Media Access Control (MAC)
address of the network interface..."

Notes
-----
The sentence (included above) from Section 7 of RFC 4361 provides an incorrect
expansion of the MAC acronym (Message Authentication Code).

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC4361 (draft-ietf-dhc-3315id-for-v4-05)
--------------------------------------
Title               : Node-specific Client Identifiers for Dynamic Host Configuration Protocol Version Four (DHCPv4)
Publication Date    : February 2006
Author(s)           : T. Lemon, B. Sommerfeld
Category            : PROPOSED STANDARD
Source              : Dynamic Host Configuration
Area                : Internet
Stream              : IETF
Verifying Party     : IESG

---

From: Ted Lemon <[email-masked]>
Date: Wed, 9 Apr 2014 15:36:34 -0400

Oy.   I don't know how that happened.   Thanks for pointing out the error.

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 9 Apr 2014 19:52:28 +0000

Looks like RFC Editor added a definition for MAC - it wasn't in the last version of the draft.

- Bernie

-----Original Message-----
From: dhcwg [mailto:[email-masked]] On Behalf Of Ted Lemon
Sent: Wednesday, April 09, 2014 3:37 PM
To: RFC Errata System
Cc: Brian Haberman; Bernie Volz (volz); [email-masked]; [email-masked]; [email-masked]
Subject: Re: [dhcwg] [Editorial Errata Reported] RFC4361 (3954)

_______________________________________________
dhcwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcwg

---

From: Ted Lemon <[email-masked]>
Date: Wed, 9 Apr 2014 16:06:47 -0400

> Looks like RFC Editor added a definition for MAC - it wasn't in the last version of the draft.

Yup, but we didn't catch it in AUTH48.   :(